Commit f13a7008 authored by Holger Levsen's avatar Holger Levsen

reproducible Archlinux: drop all references of pkg.needs_build files

Signed-off-by: Holger Levsen's avatarHolger Levsen <holger@layer-acht.org>
parent d3851dd6
......@@ -341,13 +341,8 @@ See link:https://jenkins.debian.net/userContent/about.html["about jenkins.debian
*** check/make sure that packages which are newer in trunk than repo are only scheduled once
** make build.sh
*** write db
*** delete all pkg.needs_build files on disk
*** drop all occurrances of pkg.needs_build from the code
*** really share /var/log/jenkins/reproducible-stale-builds.log
with debian?
*** same for /var/log/jenkins/reproducible-race-conditions.log
**** i think we want to split those... (into debian and archlinux ones)
** make build respect pacman exit code
*** do not share /var/log/jenkins/reproducible-race-conditions.log with debian
*** make build respect pacman exit code
** create new job to recreate all pkg pages
** call pkg html function after each build
** cleanup now useless code from scheduler
......
......@@ -13,7 +13,8 @@ common_init "$@"
set -e
update_archlinux_repositories() {
echo "$(date -u) - Updating Arch Linux repositories, currently $(find $BASE/archlinux/ -name pkg.needs_build | wc -l ) packages scheduled."
local total= $(query_db "SELECT count(*) FROM sources AS s JOIN schedule AS sch ON s.id=sch.package_id WHERE s.architecture='x86_64' and sch.date_build_started is NULL;")
echo "$(date -u) - Updating Arch Linux repositories, currently $total packages scheduled."
#
# init
#
......@@ -88,7 +89,6 @@ update_archlinux_repositories() {
if [ -z "$VERSION" ] ; then
# new package, add to db and schedule
echo "new package found: $repo/$pkgbase $version "
echo " INSERT into sources (name, version, suite, architecture) VALUES ('$PKG', '$version', '$SUITE', '$ARCH');"
query_db "INSERT into sources (name, version, suite, architecture) VALUES ('$PKG', '$version', '$SUITE', '$ARCH');"
PKGID=$(query_db "SELECT id FROM sources WHERE name='$PKG' AND suite='$SUITE' AND architecture='$ARCH';")
query_db "INSERT INTO schedule (package_id, date_scheduled) VALUES ('$PKGID', '$DATE');"
......@@ -142,7 +142,7 @@ update_archlinux_repositories() {
#
# output stats
#
total=$(find $BASE/archlinux/ -name pkg.needs_build | wc -l )
total= $(query_db "SELECT count(*) FROM sources AS s JOIN schedule AS sch ON s.id=sch.package_id WHERE s.architecture='x86_64' and sch.date_build_started is NULL;")
rm "$ARCHLINUX_PKGS"_full_pkgbase_list
new=$(cat $NEW | wc -l 2>/dev/null|| true)
updated=$(cat $UPDATED 2>/dev/null| wc -l || true)
......
......@@ -58,9 +58,7 @@ create_pkg_state_and_html() {
blacklisted=true
fi
done
if ! $blacklisted && [ -f $ARCHLINUX_PKG_PATH/pkg.needs_build ] ; then
echo "$(date -u ) - ok, $PKG from '$REPOSITORY' needs build, this should go away by itself."
elif ! $blacklisted ; then
if ! $blacklisted ; then
echo "$(date -u ) - cannot determine state of $PKG from '$REPOSITORY', please check $ARCHLINUX_PKG_PATH yourself."
fi
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment